summaryrefslogtreecommitdiff
path: root/tests/cygnus-dependency-tracking.test
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2010-12-21 22:59:19 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2010-12-22 21:06:11 +0100
commit7e7a8a6497cbc2473a3e25dd1067f2d44346325e (patch)
tree024e5dd13d3239b952d8eace0c286c042eb7aa8e /tests/cygnus-dependency-tracking.test
parent89505905738a5645963b8d0f24daa7a857203aca (diff)
downloadautomake-7e7a8a6497cbc2473a3e25dd1067f2d44346325e.tar.gz
Add some tests on 'cygnus' mode.
* tests/clean2.test: Extend. * tests/cygnus-check-without-all.test: New test. * tests/cygnus-dependency-tracking.test: Likewise. * tests/cygnus-distclean.test: Likewise. * tests/cygnus-imply-foreign.test: Likewise. * tests/cygnus-no-dist.test: Likewise. * tests/cygnus-no-installinfo.test: Likewise. * tests/cygnus-requires-maintainer-mode.test: Likewise. * tests/Makefile.am (TESTS): Update.
Diffstat (limited to 'tests/cygnus-dependency-tracking.test')
-rwxr-xr-xtests/cygnus-dependency-tracking.test73
1 files changed, 73 insertions, 0 deletions
diff --git a/tests/cygnus-dependency-tracking.test b/tests/cygnus-dependency-tracking.test
new file mode 100755
index 000000000..f2f4aea22
--- /dev/null
+++ b/tests/cygnus-dependency-tracking.test
@@ -0,0 +1,73 @@
+#! /bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that cygnus mode disables automatic dependency tracking.
+# And check that this *cannot* be overridden.
+
+. ./defs || Exit 1
+
+set -e
+
+cat >> configure.in <<'END'
+AM_MAINTAINER_MODE
+AC_PROG_CC
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c
+.PHONY: test-nodeps
+test-nodeps:
+ test ! -d .deps
+ test ! -d _deps
+ test ! -d '$(DEPDIR)'
+END
+
+cat > foo.c <<'END'
+#include "bar.h"
+int main ()
+{
+ GIVE_BACK 0;
+}
+END
+
+cat > bar.sav <<'END'
+#define GIVE_BACK return
+END
+
+cp bar.sav bar.h
+
+$ACLOCAL
+$AUTOMAKE --include-deps --cygnus --include-deps
+$AUTOCONF
+
+# Unknown options should cause just warnings from configure.
+./configure --enable-dependency-tracking
+$MAKE
+$MAKE test-nodeps
+
+: > bar.h
+$MAKE
+$MAKE test-nodeps
+
+# Sanity check.
+$MAKE clean
+$MAKE >out 2>&1 && { cat out; Exit 1; }
+cat out
+$FGREP 'GIVE_BACK' out
+
+: